# Uses of Interface
org.jfree.chart3d.Chart3DChangeListener

Packages that use Chart3DChangeListener
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.

## Uses of Chart3DChangeListener in org.jfree.chart3d

Classes in org.jfree.chart3d that implement Chart3DChangeListener
Modifier and Type
Class
Description
`class`
`Chart3DPanel`
A panel designed to display a `Chart3D` in a Swing-based desktop application.
Methods in org.jfree.chart3d with parameters of type Chart3DChangeListener
Modifier and Type
Method
Description
`void`
Chart3D.`addChangeListener(Chart3DChangeListener listener)`
Registers a listener to receive notification of changes to the chart.
`void`
Chart3D.`removeChangeListener(Chart3DChangeListener listener)`
Deregisters a listener so that it no longer receives notification of changes to the chart.